package com.pixelnx.localhelp.model;

import java.io.Serializable;

import java.util.List;

public class ModelSearchItem implements Serializable {

    String status="";
    String message="";
    private List<Data> subCategoryData;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Data> getSubCategoryData() {
        return subCategoryData;
    }

    public void setSubCategoryData(List<Data> subCategoryData) {
        this.subCategoryData = subCategoryData;
    }

    public static class Data implements  Serializable{
        String subCatId="";
        String typ="";


        String subCatName="";
        String mainCatId="";
        String stockQnt="";
        String qntUnit="";
        String itemStockWeight="";
        String image="";
        String rate="";
        String itemMrp="";

        public String getTyp() {
            return typ;
        }

        public void setTyp(String typ) {
            this.typ = typ;
        }

        public String getItemMrp() {
            return itemMrp;
        }

        public void setItemMrp(String itemMrp) {
            this.itemMrp = itemMrp;
        }

        public String getImage() {
            return image;
        }

        public void setImage(String image) {
            this.image = image;
        }

        public String getSubCatId() {
            return subCatId;
        }

        public void setSubCatId(String subCatId) {
            this.subCatId = subCatId;
        }

        public String getSubCatName() {
            return subCatName;
        }

        public void setSubCatName(String subCatName) {
            this.subCatName = subCatName;
        }

        public String getMainCatId() {
            return mainCatId;
        }

        public void setMainCatId(String mainCatId) {
            this.mainCatId = mainCatId;
        }

        public String getStockQnt() {
            return stockQnt;
        }

        public void setStockQnt(String stockQnt) {
            this.stockQnt = stockQnt;
        }

        public String getQntUnit() {
            return qntUnit;
        }

        public void setQntUnit(String qntUnit) {
            this.qntUnit = qntUnit;
        }

        public String getItemStockWeight() {
            return itemStockWeight;
        }

        public void setItemStockWeight(String itemStockWeight) {
            this.itemStockWeight = itemStockWeight;
        }

        public String getRate() {
            return rate;
        }

        public void setRate(String rate) {
            this.rate = rate;
        }
    }

}
